package com.keao.edu.user.dto;

import io.swagger.annotations.ApiModelProperty;

public class RoomStudentListDto {

    @ApiModelProperty(value = "学员房间关联id")
    private Long examRoomStudentRelationId;

    @ApiModelProperty(value = "学员报名编号")
    private Long examRegistrationId;

    @ApiModelProperty(value = "学员名称")
    private String realName;

    @ApiModelProperty(value = "声部名")
    private String subjectName;

    @ApiModelProperty(value = "签到时间（为空代表未签到）")
    private String signInTime;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "学员考试状态 0考试中,1呼叫中,2已签到,3未签到,4录播中,5已完成")
    private Integer finishedExam;

    @ApiModelProperty(value = "房间编号")
    private Long examRoomId;

    @ApiModelProperty(value = "学员编号")
    private Integer studentId;

    public Integer getFinishedExam() {
        return finishedExam;
    }

    public void setFinishedExam(Integer finishedExam) {
        this.finishedExam = finishedExam;
    }

    public String getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(String signInTime) {
        this.signInTime = signInTime;
    }

    public Long getExamRoomStudentRelationId() {
        return examRoomStudentRelationId;
    }

    public void setExamRoomStudentRelationId(Long examRoomStudentRelationId) {
        this.examRoomStudentRelationId = examRoomStudentRelationId;
    }

    public Long getExamRegistrationId() {
        return examRegistrationId;
    }

    public void setExamRegistrationId(Long examRegistrationId) {
        this.examRegistrationId = examRegistrationId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Long getExamRoomId() {
        return examRoomId;
    }

    public void setExamRoomId(Long examRoomId) {
        this.examRoomId = examRoomId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }
}
